Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.lifetime
Interface ImmediateTermination

All Superinterfaces:
  Capability, Initialization, InitializationParameters, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleImmediateTermination

public interface ImmediateTermination
extends WsResourceCapability

ImmediateTermination represents the WS-ResourceLifetime ImmediateResourceTermination capability, which has one method: wsrf-rl:Destroy. This capability allows remote clients to permanently remove resource instances from a system. If this capability is not used, only the internal application code will be allowed to destroy a resource instance.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `destroy()` Makes the resource's destruction logic available to remote clients.

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Method Detail

### destroy

    public void destroy()
                 throws ResourceNotDestroyedFault

  Makes the resource's destruction logic available to remote clients.

  Throws:
    `ResourceNotDestroyedFault` -
    - If the resource cannot be removed, or if a destruction callback fails.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD